configure: Use pkg-config to detect libiptc used by connmark/forecast
[strongswan.git] / src / libcharon / plugins / forecast / Makefile.am
1 AM_CPPFLAGS = \
2         -I$(top_srcdir)/src/libstrongswan \
3         -I$(top_srcdir)/src/libhydra \
4         -I$(top_srcdir)/src/libcharon
5
6 AM_CFLAGS = \
7         $(PLUGIN_CFLAGS) $(libiptc_CFLAGS)
8
9 if MONOLITHIC
10 noinst_LTLIBRARIES = libstrongswan-forecast.la
11 else
12 plugin_LTLIBRARIES = libstrongswan-forecast.la
13 endif
14
15 libstrongswan_forecast_la_SOURCES = \
16         forecast_listener.h forecast_listener.c \
17         forecast_forwarder.h forecast_forwarder.c \
18         forecast_plugin.h forecast_plugin.c
19
20 libstrongswan_forecast_la_LDFLAGS = -module -avoid-version
21 libstrongswan_forecast_la_LIBADD = $(libiptc_LIBS)